| Kea 3.0.2-git

unix_control_socket.h File Reference

Contains declarations for UNIX control socket communication. More...

`#include <netconf/control_socket.h>`
Include dependency graph for unix_control_socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::netconf::UnixControlSocket
| Class for control socket communication over UNIX socket. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::netconf

## Typedefs
using | isc::netconf::UnixControlSocketPtr = std::shared_ptr<UnixControlSocket>
| Type definition for the pointer to the `UnixControlSocket`.

## Functions
template<>
ControlSocketBasePtr | isc::netconf::createControlSocket< CfgControlSocket::Type::UNIX > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for unix control sockets.

## Detailed Description

Contains declarations for UNIX control socket communication.

Definition in file unix_control_socket.h.